Skip to main content
`Ctrl`+`K`

# `icons`: Set of icons

Set of icons for buttons.

Use `getQIcon()` to create Qt QIcon from the name identifying an icon.

getIconCache()

  Get access to all cached icons

  Return type:

    dict

cleanIconCache()

  Clean up the icon cache

class AbstractAnimatedIcon(parent=None)

  Store an animated icon.

  It provides an event containing the new icon everytime it is updated.

  iconChanged

    Signal sent with a QIcon everytime the animation changed.

  register(obj)

    Register an object to the AbstractAnimatedIcon. If no object are registred, the animation is paused. Object are stored in a weaked list.

    Parameters:

      obj (object) – An object

  unregister(obj)

    Remove the object from the registration. If no object are registred the animation is paused.

    Parameters:

      obj (object) – A registered object

  hasRegistredObjects()

    Returns true if any object is registred.

    Return type:

      bool

  isRegistered(obj)

    Returns true if the object is registred in the AbstractAnimatedIcon.

    Parameters:

      obj (object) – An object

    Return type:

      bool

  currentIcon()

    Returns the icon of the current frame.

    Return type:

      qt.QIcon

class MovieAnimatedIcon(filename, parent=None)

  Store a looping QMovie to provide icons for each frames. Provides an event with the new icon everytime the movie frame is updated.

class MultiImageAnimatedIcon(filename, parent=None)

  Store a looping QMovie to provide icons for each frames. Provides an event with the new icon everytime the movie frame is updated.

getWaitIcon()

  Returns a cached version of the waiting AbstractAnimatedIcon.

  Return type:

    AbstractAnimatedIcon

getAnimatedIcon(name)

  Create an AbstractAnimatedIcon from a resource name.

  The resource name can be prefixed by the name of a resource directory. For example “silx:foo.png” identify the resource “foo.png” from the resource directory “silx”.

  If no prefix are specified, the file with be returned from the silx resource directory with a specific path “gui/icons”.

  See also `silx.resources.register_resource_directory()`.

  Try to load a mng or a gif file, then try to load a multi-image animated icon.

  In Qt5 mng or gif are not used, because the transparency is not very well managed.

  Parameters:

    name (str) – Name of the icon, in one of the defined icons in this module.

  Returns:

    Corresponding AbstractAnimatedIcon

  Raises:

    ValueError when name is not known

getQIcon(name)

  Create a QIcon from its name.

  The resource name can be prefixed by the name of a resource directory. For example “silx:foo.png” identify the resource “foo.png” from the resource directory “silx”.

  If no prefix are specified, the file with be returned from the silx resource directory with a specific path “gui/icons”.

  See also `silx.resources.register_resource_directory()`.

  Parameters:

    name (str) – Name of the icon, in one of the defined icons in this module.

  Returns:

    Corresponding QIcon

  Raises:

    ValueError when name is not known

getQPixmap(name)

  Create a QPixmap from its name.

  The resource name can be prefixed by the name of a resource directory. For example “silx:foo.png” identify the resource “foo.png” from the resource directory “silx”.

  If no prefix are specified, the file with be returned from the silx resource directory with a specific path “gui/icons”.

  See also `silx.resources.register_resource_directory()`.

  Parameters:

    name (str) – Name of the icon, in one of the defined icons in this module.

  Returns:

    Corresponding QPixmap

  Raises:

    ValueError when name is not known

getQFile(name)

  Create a QFile from an icon name. Filename is found according to supported Qt formats.

  The resource name can be prefixed by the name of a resource directory. For example “silx:foo.png” identify the resource “foo.png” from the resource directory “silx”.

  If no prefix are specified, the file with be returned from the silx resource directory with a specific path “gui/icons”.

  See also `silx.resources.register_resource_directory()`.

  Parameters:

    name (str) – Name of the icon, in one of the defined icons in this module.

  Returns:

    Corresponding QFile

  Return type:

    qt.QFile

  Raises:

    ValueError when name is not known

## Available icons

Icon | Name
--- | ---
| 3d-plane-normal-x
| 3d-plane-normal-y
| 3d-plane-normal-z
| 3d-plane-pan
| 3d-plane
| add-range-horizontal
| add-shape-arc
| add-shape-circle
| add-shape-cross
| add-shape-diagonal
| add-shape-ellipse
| add-shape-horizontal
| add-shape-point
| add-shape-polygon
| add-shape-rectangle
| add-shape-rotated-rectangle
| add-shape-unknown
| add-shape-vertical
| add
| aggregation-mode
| arrow-keys
| axis
| backend-opengl
| camera
| clipboard
| close
| colorbar
| colormap-histogram
| colormap-none
| colormap-norm-arcsinh
| colormap-norm-gamma
| colormap-norm-linear
| colormap-norm-log
| colormap-norm-sqrt
| colormap-range
| colormap
| compare-align-auto
| compare-align-center
| compare-align-origin
| compare-align-stretch
| compare-keypoints
| compare-mode-a-minus-b
| compare-mode-a
| compare-mode-b
| compare-mode-hline
| compare-mode-rb-channel
| compare-mode-rbneg-channel
| compare-mode-vline
| crop
| crosshair
| cube-back
| cube-bottom
| cube-front
| cube-left
| cube-right
| cube-rotate
| cube-top
| cube
| description-description
| description-error
| description-name
| description-program
| description-title
| description-value
| document-open
| document-print
| document-save
| draw-brush
| draw-pencil
| draw-rubber
| edit-copy
| eye
| first
| folder
| image-mask
| image-select-add
| image-select-box
| image-select-brush
| image-select-erase-rubber
| image-select-erase
| image
| item-0dim
| item-1dim
| item-2dim
| item-3dim
| item-ndim
| item-none
| item-object
| last
| layer-nx
| mask-clear-all
| mask-clear
| mask-invert
| math-amplitude
| math-average
| math-derive
| math-energy
| math-fit
| math-imaginary
| math-mean
| math-normalize
| math-peak-reset
| math-peak-search
| math-peak
| math-phase-color-log
| math-phase-color
| math-phase
| math-real
| math-sigma
| math-smooth
| math-square-amplitude
| math-substract
| math-swap-sign
| math-ymin-to-zero
| median-filter
| next
| normal
| nxdata-axis-add
| nxdata-axis-remove
| nxdata-create
| nxdata-remove
| pan
| pixel-intensities
| plot-grid
| plot-roi-above
| plot-roi-below
| plot-roi-between
| plot-roi-reset
| plot-roi
| plot-symbols
| plot-toggle-points
| plot-widget
| plot-window-image
| plot-window
| plot-xauto
| plot-xlog
| plot-yauto
| plot-ydown
| plot-ylog
| plot-yup
| pointing-hand
| previous
| profile-clear
| profile1D
| profile2D
| remove
| rm
| rotate-3d
| rudder
| ruler
| scale-auto
| scale-fixed
| selected
| shape-circle-solid
| shape-circle
| shape-cross
| shape-diagonal-directed
| shape-diagonal
| shape-ellipse-solid
| shape-ellipse
| shape-horizontal
| shape-polygon
| shape-rectangle
| shape-square
| shape-vertical
| side-histograms
| silx
| slice-cross
| slice-horizontal
| slice-vertical
| sliders-off
| sliders-on
| spec
| stats-active-items
| stats-visible-data
| stats-whole-data
| stats-whole-items
| tree-collapse-all
| tree-expand-all
| tree-sort
| view-1d
| view-2d-stack
| view-2d
| view-3d
| view-fullscreen
| view-hdf5
| view-nexus
| view-nofullscreen
| view-raw
| view-refresh
| view-text
| window-new
| zoom-back
| zoom-in
| zoom-original
| zoom-out
| zoom